Summary:	Document manager for GNOME
Name:		gnome-documents
Version:	3.10.1
Release:	1
License:	GPL v2+
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gnome-documents/3.10/%{name}-%{version}.tar.xz
# Source0-md5:	12f7597b96e832ad1bbb7d8049a99f53
URL:		https://wiki.gnome.org/Apps/Documents
BuildRequires:	autoconf >= 2.63
BuildRequires:	automake >= 1:1.11
BuildRequires:	clutter-devel >= 1.10.0
BuildRequires:	clutter-gtk-devel >= 1.4.0
BuildRequires:	evince-devel >= 3.8.0
BuildRequires:	gettext-devel
BuildRequires:	gjs-devel
BuildRequires:	glib2-devel >= 1:2.38.0
BuildRequires:	gnome-desktop-devel >= 3.2.0
BuildRequires:	gnome-online-accounts-devel >= 3.2.0
BuildRequires:	gobject-introspection-devel >= 1.32.0
BuildRequires:	gtk+3-devel >= 3.10.0
BuildRequires:	gtk-webkit3-devel >= 1.10.0
BuildRequires:	intltool >= 0.50.1
BuildRequires:	libgdata-devel >= 0.13.3
BuildRequires:	libsoup-devel >= 2.42.0
BuildRequires:	libtool
BuildRequires:	libxslt-progs
BuildRequires:	libzapojit-devel >= 0.0.2
BuildRequires:	pkgconfig >= 1:0.22
BuildRequires:	rpmbuild(macros) >= 1.592
BuildRequires:	tar >= 1:1.22
BuildRequires:	tracker-devel >= 0.16.0
BuildRequires:	xz
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	glib2 >= 1:2.26.0
Requires:	clutter-gtk >= 1.4.0
Requires:	evince >= 3.8.0
Requires:	glib2 >= 1:2.38.0
Requires:	gobject-introspection >= 1.32.0
Requires:	gtk+3 >= 3.10.0
Requires:	hicolor-icon-theme
Requires:	libgdata >= 0.13.3
Requires:	tracker >= 0.16.0
Suggests:	unoconv >= 0.5
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
gnome-documents is a document manager application for GNOME.

%prep
%setup -q

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal} -I m4 -I libgd
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules
%{__make} -j1

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -j1 install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/gnome-documents/*.la

%find_lang gnome-documents

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
%update_icon_cache hicolor
%glib_compile_schemas

%postun
/sbin/ldconfig
%update_icon_cache hicolor
%glib_compile_schemas

%files -f gnome-documents.lang
%defattr(644,root,root,755)
%doc AUTHORS NEWS README TODO
%attr(755,root,root) %{_bindir}/gnome-documents
%dir %{_libdir}/gnome-documents
%attr(755,root,root) %{_libdir}/gnome-documents/libgd.so
%attr(755,root,root) %{_libdir}/gnome-documents/libgdprivate-1.0.so
%dir %{_libdir}/gnome-documents/girepository-1.0
%{_libdir}/gnome-documents/girepository-1.0/Gd-1.0.typelib
%{_libdir}/gnome-documents/girepository-1.0/GdPrivate-1.0.typelib
%{_datadir}/appdata/gnome-documents.appdata.xml
%{_datadir}/dbus-1/services/org.gnome.Documents.SearchProvider.service
%{_datadir}/glib-2.0/schemas/org.gnome.Documents.enums.xml
%{_datadir}/glib-2.0/schemas/org.gnome.documents.gschema.xml
%{_datadir}/gnome-documents
%{_datadir}/gnome-shell/search-providers/gnome-documents-search-provider.ini
%{_desktopdir}/gnome-documents.desktop
%{_iconsdir}/hicolor/*/*/*.png
%{_mandir}/man1/gnome-documents.1*
%changelog
* Sun Nov 17 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gnome-documents.git;a=log;h=master

* Sun Nov 17 2013 Łukasz Kieś <kiesiu@pld-linux.org> 7dda81d
- updated to 3.10.1
- new URL

* Sun Sep 29 2013 Marcin Banasiak <marcin.banasiak@gmail.com> c3c5dd1
- Update to 3.10.0

* Sun Aug 18 2013 Jan Rękorajski <baggins@pld-linux.org> 77c7805
- disable parallel make
- rel 2

* Sun Jul 14 2013 Łukasz Kieś <kiesiu@pld-linux.org> 617b507
- updated to 3.8.3.1

* Sun May 19 2013 Łukasz Kieś <kiesiu@pld-linux.org> b3a1fc7
- updated to 3.8.2.1

* Sun Apr 21 2013 Łukasz Kieś <kiesiu@pld-linux.org> f553bf4
- updated to 3.8.1

* Sat Mar 30 2013 Marcin Banasiak <marcin.banasiak@gmail.com> 09b2209
- Update to 3.8.0

* Sun Nov 18 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 1b06c56
- Update to 3.6.2

* Fri Oct 19 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 0e4253c
- Update to 3.6.1

* Mon Oct 15 2012 Łukasz Kieś <kiesiu@pld-linux.org> df88973
- rel. 2 (rebuild with new gnome-desktop)

* Tue May 15 2012 Łukasz Kieś <kiesiu@pld-linux.org> 7c28dd8
- updated to 0.4.2

* Tue Apr 24 2012 Marcin Banasiak <marcin.banasiak@gmail.com> ce1338b
- added S: unoconv >= 0.5

* Tue Apr 17 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 4635381
- there is no need to use bash

* Tue Apr 17 2012 Marcin Banasiak <marcin.banasiak@gmail.com> e3abaf6
- updated to 0.4.1

* Fri Mar 30 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 455b0ad
- release 2

* Tue Mar 27 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 212ab62
- updated to 0.4.0.1

* Tue Mar 27 2012 Marcin Banasiak <marcin.banasiak@gmail.com> cc4128e
- updated to 0.4.0; merged changes from DEVEL

* Tue Oct 18 2011 Łukasz Kieś <kiesiu@pld-linux.org> bfd291f
- updated to 0.2.1

* Sun Oct 02 2011 Łukasz Kieś <kiesiu@pld-linux.org> b9dd41e
- requires tracker service; rel 2

* Fri Sep 30 2011 Marcin Banasiak <marcin.banasiak@gmail.com> a0627b1
- updated to 0.2.0

